<?php	
	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php echo 'This post is password protected. Enter the password to view comments.'; ?></p> 
	<?php
		return;
	}
?>
<?php if ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) : return; endif; ?>
<div class="postWrapper">
  <div class="postContainer">
<div class="postNote">
  <ol class="notes">
	<?php 
		$pingbacks = $comments_by_type['pings'];
		$ping_count = count($pingbacks);
		if ( have_comments() ) : 
	?>
	<?php wp_list_comments('type=comment&callback=simplelife_comment'); ?>

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<div class="navigation">	
	    	<span class="alignleft"><?php previous_comments_link('&laquo; Older Comments' ); ?></span>
    		<span class="alignright"><?php next_comments_link(  'Newer Comments &raquo;' ); ?></span>
		</div>
	<?php endif; ?>

	<!--pingbacks-->
	<?php
		if(pings_open() && !post_password_required()) {
	?>
	<div id="pings" class="section">
		<h3><?php echo 'Pingbacks'; ?> (<?php echo post_password_required()? 'X' : $ping_count; ?>)</h3>
		<?php
			if($ping_count > 0) {
		?>
		<ol class="pingbacks">
		<?php
			foreach($pingbacks as $comment) {
		?>
			<li class="pingback" id="comment-<?php comment_ID(); ?>">
				<div class="comment-meta">
					<span class="datetime"><?php comment_time("Y-m-d h:i:s"); ?></span>
					<a class="title" href="<?php comment_author_url() ?>" rel="nofollow<?php if(strpos(get_comment_author_url(), home_url()) != 0) echo ' external'; ?>">
						<img class="favicon" src="http://www.google.com/s2/favicons?domain=<?php $host = get_comment_author_url(); echo $host; ?>" alt="Favicon of <?php echo $host; ?>" width="16" height="16" />
						<?php comment_author(); ?>
					</a>
				</div>
			</li>
		<?php
			}
		?>
		</ol>
		<?php
		} else {
		?>
		<p class="message">&rsaquo; <?php echo 'No pingbacks yet.'; ?></p>
		<?php
			}
		?>
	</div>
	<?php
		}
	?>

<?php else: ?>
	
	<?php endif; ?>
	<?php if ('open' == $post->comment_status) : ?>
	<div id="respond">
<?php $fields = array(
'comment_field' => '<textarea name="comment" id="comment" class="commentTextarea" onkeydown="if(event.ctrlKey&&event.keyCode==13)
{document.getElementById(\'submit\').click();return false};"></textarea>',
'label_submit'=> 'Reply',
'comment_notes_after' => '',
);?>
		<?php comment_form($fields); ?>
		
		<?php if ( $comment_author != "" ) : ?>
			<script type="text/javascript">setStyleDisplay('hide_author_info','none');setStyleDisplay('userInfo','none');</script>
		<?php endif; ?>
	</div>
	<?php endif; ?>
  </ol>
</div>
  </div>
</div>




