<?php get_header();?>
<div id="wrapper">
    <div id="container">
        <div id="main">
            <div id="category" class="post">
                <div class="postInfo"></div>
                <div class="postWrapper">
                    <div class="postContainer">
                        <div class="posts">
                            <h3><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>' ); ?></h3>
                        </div>
                    </div>
                </div>
            </div>
            <?php if(have_posts()) :while(have_posts()) : the_post();?>
            <div id="post-<?php the_id();?>">
                <div class="postInfo"></div>
                <div class="postWrapper">
                    <div class="postContainer">
                        <div class="posts">
                            <a class="postTitle" href="<?php the_permalink();?>"><h3><?php the_title();?></h3></a>
                        </div>
                        <div class="insideInfo">
                            <div class="postTags">
                                <a href="<?php the_permalink();?>" class="fl time"><?php the_time('Y-m-d');?></a>
                                <?php the_category();?>
                            </div>
                            <div class="postNotes"><a href="<?php the_permalink();?>#respond"><?php comments_number('0','1','%');?> notes</a></div>
                            <br class="clear">
                        </div>
                    </div>
                </div>
            </div>
            <?php endwhile; else: ?>
            <div id="searchPost" class="posts">
                <div class="postInfo"></div>
                <div class="postWrapper">
                    <div class="postContainer">
                        <div class="posts">
                            <h3>Sorry, but nothing matched your search criteria. Please try again with some different keywords.</h3>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>
        <div id="post-navi">
            <div class="postWrapper">
                <div class="postContainer">
                    <div class="insideInfo"><div class="pagenavi"><?php posts_nav_link(); ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php get_footer();?>